<?php

use Illuminate\Support\Facades\Route;
use Kylin\Dictionary\Http\Controllers\DictionaryController;

Route::prefix('kylin/dictionary')->middleware(['auth:sanctum'])->group(function () {
    Route::get('/types', [DictionaryController::class, 'types']);
    Route::post('/types', [DictionaryController::class, 'storeType']);
    Route::get('/{code}/items', [DictionaryController::class, 'items']);
    Route::post('/{code}/items', [DictionaryController::class, 'storeItem']);
    Route::delete('/items/{id}', [DictionaryController::class, 'deleteItem']);
});
